PDA

View Full Version : installing LAME MP3 Encoder



dattas
07-20-2008, 05:06 PM
LameMP3 is a nice library that allows you to create mp3s pretty easily. Here is how to install it.

First, we need ncurses, lets get it and build it and install it.

wget ftp://invisible-island.net/ncurses/ncurses.tar.gz
tar -zxvf ncurses.tar.gz
cd ncurses-*
./configure --prefix=/usr/local/ncurses
make && make install
cd ..

Now we need to add the ncurses library. Edit the file located at /etc/ld.so.conf and add this line to the bottom:

/usr/local/ncurses/lib
Once you have done that, run

ldconfig
and ignore any warnings you get.

now that it is done, lets get moving onto getting lamemp3.
Go to http://sourceforge.net/project/showfiles.php?group_id=290&package_id=309 and download the latest version of lamemp3, then lets extract and build it.

tar -zxvf lame-*
cd lame-*
export CPPFLAGS="-I/usr/local/ncurses/include"
./configure --prefix=/usr/local/lame
make && make install

Now lets edit /etc/ld.so.conf once again and add this line to the bottom:

/usr/local/lame/lib
and run

ldconfig

And you are done, a fully installed lameMP3.
You can integrate it into ffmpeg by following directions here: http://forums.westhost.com/showthread.php?t=11558
Want me to do a tutorial on how to install something? PM me!
Got any questions? reply below.

rlfcycle
11-30-2008, 01:28 PM
Hi. The first step does not seem to work. I keep getting a configuration error. I've tried manually loading the ncurses files but then the ldconfig doesn't work.

Any suggestions?

dattas
11-30-2008, 01:40 PM
You must not have the GNU Complier collection installed form Site Manager, if it is installed, try re installing it.

rlfcycle
11-30-2008, 03:49 PM
Yeah, I got that. Now, why when I run ldconfig do I get a message like:

"can't link /usr/lib/libcom.err.so2 to libcom.err.so" and so forth?

wildjokerdesign
11-30-2008, 08:27 PM
Not sure why that error happens when ldconfig is run but it is "normal". It could be an ownership/permissions issue. The symbolic link does exist. The symbolic link is a different Owner - Group then the actual file.

arlomedia
06-25-2009, 03:12 PM
This was sooooo helpful. Thanks, dattas!

Stake
12-22-2010, 06:54 PM
Do these instructions work for a WH 3.0 or 4.0 account? I've been trying what's show but the make command errors out. I'm assuming that I don't have the proper permissions. Is there a precompiled version floating out there?

wildjokerdesign
12-22-2010, 07:09 PM
These instructions would be for WH 3.0 and you would have to install GNU Tools via the Site Manager for them to work.